summaryrefslogtreecommitdiff
path: root/build
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-03-13 17:30:08 +0300
committerAndrei Karas <akaras@inbox.ru>2017-03-13 17:39:18 +0300
commit1644bda7305ac2cd24d605da42602d0d63a14cc0 (patch)
treecabcddd08ab9523241a77e85a06e0fc5e240cc80 /build
parent9abb84a68de92f8cd78f95821a7238d86f1169dd (diff)
downloadplus-1644bda7305ac2cd24d605da42602d0d63a14cc0.tar.gz
plus-1644bda7305ac2cd24d605da42602d0d63a14cc0.tar.bz2
plus-1644bda7305ac2cd24d605da42602d0d63a14cc0.tar.xz
plus-1644bda7305ac2cd24d605da42602d0d63a14cc0.zip
Split mingw build scripts. With flags and without flags.
Diffstat (limited to 'build')
-rwxr-xr-xbuild/win_make16
-rwxr-xr-xbuild/win_tests17
-rwxr-xr-xbuild/winmake16
-rwxr-xr-xbuild/wintests17
4 files changed, 37 insertions, 29 deletions
diff --git a/build/win_make b/build/win_make
new file mode 100755
index 000000000..dbeb65888
--- /dev/null
+++ b/build/win_make
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+source ./winvars.sh || exit 1
+
+mkdir tmp
+cd ..
+
+dir=`pwd`
+
+autoreconf -i || exit 1
+cd build/tmp
+../../configure \
+--host=${CROSS} \
+--enable-werror || exit 1
+
+make -j9 2>../make2.log || exit 1
diff --git a/build/win_tests b/build/win_tests
new file mode 100755
index 000000000..d1a12b2b2
--- /dev/null
+++ b/build/win_tests
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+source ./winvars.sh || exit 1
+
+mkdir tmp
+cd ..
+
+dir=`pwd`
+
+autoreconf -i || exit 1
+cd build/tmp
+
+../../configure \
+--host=${CROSS} \
+--enable-unittests || exit 1
+
+make check -j8 2>../make2.log || exit 1
diff --git a/build/winmake b/build/winmake
index 353ed22a8..6080eebb9 100755
--- a/build/winmake
+++ b/build/winmake
@@ -1,18 +1,6 @@
#!/bin/bash
-source ./winvars.sh
+export CXXFLAGS="-Wall -g1 -O5 -ffast-math -std=gnu++1z -funswitch-loops -funsafe-loop-optimizations -pipe"
source ./mingw5flags.sh
-mkdir tmp
-cd ..
-
-dir=`pwd`
-
-
-autoreconf -i
-cd build/tmp
-../../configure \
---host=${CROSS} \
---enable-werror
-
-make -j9 2>../make2.log
+./win_make
diff --git a/build/wintests b/build/wintests
index 5312ade57..c9b194f5a 100755
--- a/build/wintests
+++ b/build/wintests
@@ -1,17 +1,4 @@
#!/bin/bash
-source ./winvars.sh
-
-mkdir tmp
-cd ..
-
-dir=`pwd`
-
-autoreconf -i
-cd build/tmp
-
-../../configure \
---host=${CROSS} \
---enable-unittests
-
-make check -j8 2>../make2.log
+export CXXFLAGS="-Wall -g1 -O5 -ffast-math -std=gnu++1z -funswitch-loops -funsafe-loop-optimizations -pipe"
+./win_tests